<template>
  <div class="faq">
    <h4 class="page-title mb-6" v-text="$t('pilotPanel.faq.title')" />

    <vx-card class="mb-6 pt-4 pb-2" style="min-height: 170px">
      <d-note
        text="If you have question which you cannot find in the list below, feel free to contact us: <a class='contact-btn' target='_blank' href='mailto:skyriff.team@gmail.com'>Contact</a>"
      ></d-note>

      <vs-card v-for="(item, index) in questions" :key="index">
        <div slot="header">
          <h3>{{ item.question }}</h3>
        </div>
        <div class="py-3 pl-3 text-base">
          <span>{{ item.answer }}</span>
        </div>
      </vs-card>
    </vx-card>
  </div>
</template>

<script lang="ts">
import api from "@/api/questions.api.ts";
import { Component, Vue } from "vue-property-decorator";
import { DInput, DDate, DPending, DNote } from "@/components/d-elements";

@Component({
  components: {
    DDate,
    DInput,
    DPending,
    DNote
  }
})
export default class FAQ extends Vue {
  private loading = false;
  private questions = [];

  created() {
    this.getQuestions();
  }

  private async getQuestions() {
    await api.getQuestions().then(response => {
      this.questions = response.data;
    });
  }
}
</script>

<style lang="scss">
.faq {
  .contact-btn {
    border: 2px solid white;
    background-color: transparent;
    color: white;
    padding: 5px 17px;
    border-radius: 12px;
    cursor: pointer;
    margin-left: 10px;
    transition: all 0.4s ease;

    &:hover {
      background-color: white;
      color: #5db9fe;
    }

    @media (max-width: 576px) {
      display: block;
      margin-top: 15px;
      text-align: center;
      margin-left: 0;
    }
  }
}
</style>